> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Issues



## OpenAPI

````yaml /openapi.json post /v1/issues/bulk
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/issues/bulk:
    post:
      tags:
        - issues
      summary: Bulk Issues
      operationId: bulk_issues_v1_issues_bulk_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkIssueRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkIssueResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    BulkIssueRequest:
      properties:
        ids:
          items:
            type: string
          maxItems: 200
          minItems: 1
          title: Ids
          type: array
        op:
          title: Op
          type: string
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
      required:
        - ids
        - op
      title: BulkIssueRequest
      type: object
    BulkIssueResponse:
      properties:
        failed:
          items:
            $ref: '#/components/schemas/BulkFailure'
          title: Failed
          type: array
        updated:
          title: Updated
          type: integer
      required:
        - updated
        - failed
      title: BulkIssueResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    BulkFailure:
      properties:
        code:
          title: Code
          type: string
        id:
          title: Id
          type: string
        message:
          title: Message
          type: string
      required:
        - id
        - code
        - message
      title: BulkFailure
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````